Registrierungsfehler bei neuen Benutzern

  • Affected Version
    WoltLab Suite 5.5

    Moin zusammen,

    ich bekomme den fehlercode 2040ba22cf97a335d617bfd63abb47b53ea421ab bei der neuerstellung von Benutzern.
    Da ich das Forum und die Software nur übernommen hab und Update bin ich da gerade ratlos.

    Hat da wer eine Hilfestellung?

    Upgraden auf die neuste Version geht leider noch nicht da Domain Factory noch nicht die aktuellsten DB´s laufen hat die ich dafür bräuchte.


    lg

  • Hallo,

    um dir helfen zu können, benötigen wir die vollständige Fehlermeldung, die du mithilfe des Fehlercodes (= Fehler-ID) in der Administrationsoberfläche unter Verwaltung > Protokoll > Fehler suchen und dir anzeigen lassen kannst.

  • Fri, 23 Feb 2024 11:40:46 +0000
    Message: Unknown captcha object type with id 'software.krymo.woltlab.suite.core.security.antispam.hcaptcha'
    PHP version: 8.1.27
    WoltLab Suite version: 5.5.20
    Request URI: GET /index.php?register/
    Referrer: https://page5.de/index.php?disclaimer/
    User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36 Edg/121.0.0.0
    Peak Memory Usage: 6399880/268435456
    ======
    Error Class: wcf\system\exception\SystemException
    Error Message: Unknown captcha object type with id 'software.krymo.woltlab.suite.core.security.antispam.hcaptcha'
    Error Code: 0
    File: /kunden/610591_40215/webseiten/lib/form/RegisterForm.class.php (234)
    Extra Information: -
    Stack Trace: [{"file":"\/kunden\/610591_40215\/webseiten\/lib\/page\/AbstractPage.class.php","line":353,"function":"readData","class":"wcf\\form\\RegisterForm","type":"->","args":[]},{"file":"\/kunden\/610591_40215\/webseiten\/lib\/form\/RegisterForm.class.php","line":301,"function":"show","class":"wcf\\page\\AbstractPage","type":"->","args":[]},{"file":"\/kunden\/610591_40215\/webseiten\/lib\/page\/AbstractPage.class.php","line":135,"function":"show","class":"wcf\\form\\RegisterForm","type":"->","args":[]},{"file":"\/kunden\/610591_40215\/webseiten\/lib\/system\/request\/Request.class.php","line":90,"function":"__run","class":"wcf\\page\\AbstractPage","type":"->","args":[]},{"file":"\/kunden\/610591_40215\/webseiten\/lib\/system\/request\/RequestHandler.class.php","line":107,"function":"execute","class":"wcf\\system\\request\\Request","type":"->","args":[]},{"file":"\/kunden\/610591_40215\/webseiten\/index.php","line":11,"function":"handle","class":"wcf\\system\\request\\RequestHandler","type":"->","args":[]}]

  • Ich werde es mir ansehen. Das Problem wird auch andere Captcha-Plugins betreffen, insofern diese bei Deinstallation nicht die Captcha-Auswahl überprüfen und die Installation gegebenenfalls automatisch auf ein anderes Captcha umstellen. Der durch Olaf Braun beschriebene Lösungsweg ist korrekt.

  • Olaf Braun February 26, 2024 at 2:45 PM

    Added the Label Not a bug
  • Krymonota

    Am besten ist es, ein Deinstallationsskript in deinem Plugin zur Verfügung zu stellen. Dieses muss unter wcf/acp/uninstall/package.name.php verfügbar sein und kann dann beliebigen PHP-Code ausführen.

    Als Beispiel könntest du folgendes einfügen, damit die Captcha-Art auf (Kein Captcha) gesetzt wird und nach der Deinstallation kein Fehler mehr auftritt.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!